Bug 995833 - [vdsm] Negative| interrupt to vdsm daemon restart leaves the service in state: "VDS daemon dead but subsys locked". After that, the service cannot be started
[vdsm] Negative| interrupt to vdsm daemon restart leaves the service in state...
Status: CLOSED DUPLICATE of bug 994912
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.3.0
x86_64 Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Yaniv Bronhaim
infra
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 07:35 EDT by Elad
Modified: 2016-02-10 14:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 08:07:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (3.56 MB, application/x-gzip)
2013-08-11 07:35 EDT, Elad
no flags Details

  None (edit)
Description Elad 2013-08-11 07:35:13 EDT
Created attachment 785379 [details]
logs

Description of problem:
After interruption to vdsmd restart operation, vdsmd cannot be started 

Version-Release number of selected component (if applicable):
vdsm-4.12.0-52.gitce029ba.el6ev.x86_64

How reproducible:
100%

Steps to Reproduce:
On a host with running vdsmd service:
- run: "service vdsmd restart" and interrupt it (during vdsmd start) with ctrl+c

Actual results:
vdsm does prepareForShutdown and after that starts the daemon. after the interruption, I checked the service status:

[root@green-vdsa ~]# service vdsmd status
VDS daemon dead but subsys locked

[root@green-vdsa ~]# pgrep resp
21864
[root@green-vdsa ~]# ps -ww 21864
  PID TTY      STAT   TIME COMMAND
21864 ?        S      0:00 /bin/bash -e /usr/share/vdsm/respawn --minlifetime 10 --daemon --masterpid /var/run/vdsm/supervdsm_respawn.pid /usr/bin/python /usr/share/vdsm/supervdsmServer.pyc /var/run/vdsm/svdsm.sock


There is no vdsm process:

[root@green-vdsa ~]# pgrep vdsmd
[root@green-vdsa ~]#


start to vdsm:

[root@green-vdsa ~]# service vdsmd start
cannot start VDS daemon when another instance runs         [FAILED]

Workaround: host reboot

Additional info: logs
Comment 1 Elad 2013-08-11 07:48:12 EDT
NOTE:

This bug has been marked by accident as a security bug and I'm unable to change it. 
Email was sent to security-response-team@redhat.com in order to remove the security keyword
Comment 2 Kurt Seifried 2013-08-11 13:35:41 EDT
Removed security keyword/group.
Comment 3 Yaniv Bronhaim 2013-08-15 08:07:10 EDT

*** This bug has been marked as a duplicate of bug 994912 ***

Note You need to log in before you can comment on or make changes to this bug.